<?xml version="1.0" encoding="UTF-8"?><record_update sys_domain="global" table="sys_cb_design_topic">
    <sys_cb_design_topic action="INSERT_OR_UPDATE">
        <compiled_topic display_value="Create Incident">a301f8c92f5b0110f98855f62799b6db</compiled_topic>
        <design_definition>{"type":"FlowTopic","triggers":[{"type":"Trigger","name":"0b71148b3b614e83ba68fbcaf25b8964","triggerType":"request","applicability":{"type":"Applicability","mode":"script","value":"true"},"id":"0b71148b3b614e83ba68fbcaf25b8964"}],"goals":[{"name":"primary","trigger_id":"0b71148b3b614e83ba68fbcaf25b8964","nodes":[{"type":"StartGoal","goal_id":"primary","greeting_msg":{"type":"String","mode":"string","value":""},"id":"da3cecea27084c2ea9e7b08bd2a99597","name":"Start"},{"type":"TerminateGoal","goal_id":"primary","confirmation_msg":{"type":"String","mode":"string","value":""},"id":"788ca20c1739418d924154a4aaca0f7d","name":"End"},{"type":"OutputPrompt","value":{"type":"String","mode":"script","value":"(function execute() {\n    return gs.getMessage(\"Alright, I've opened your incident and a technician will be assigned.\");\n})()\n"},"id":"16a262815fa548ebac2369ace2f1b75a","name":"Incident created","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"},"secure":false},{"type":"RecordOutputPrompt","mode":"query","table":"incident","fields":["short_description","state","priority","category","assignment_group","description"],"id":"6902e87db14b443e8e19b0bf097e0baf","name":"Display incident","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"},"reference_qualifier_condition":"sys_id={{vaVars.inc_sysid}}","condition":{"type":"Condition","mode":"glide_query","value":"sys_id={{vaVars.inc_sysid}}"}},{"type":"ScriptedAction","script":"(function execute() {\n    var caller = vaInputs.caller;\n    var short_desc = vaInputs.short_description;\n    var urgency = vaInputs.urgency;\n    var desc = vaInputs.description;\n    var cmdb_ci = vaInputs.cmdb_ci;\n\n     if (!gs.nil(caller) &amp;&amp; !gs.nil(short_desc)) {\n        var incDetails = new sn_itsm_va.VACreateINCUtil().createIncident(caller, short_desc, urgency, desc, cmdb_ci);\n        vaVars.inc_sysid = incDetails.sysid;\n     }\n     \n})()","id":"d0a40b5eaeec413c95caec9d159d3109","name":"Create Request/Incident","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"}},{"type":"ScriptedAction","script":"(function execute() {\n  var incGr = new GlideRecord(\"incident\");\n  incGr.get(vaVars.inc_sysid);\n  vaVars.is_UR_created = !gs.nil(incGr.universal_request);\n})()\n","id":"5c6ec96d92134f8b99909397442c27c7","name":"Check UR created","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"}},{"type":"Decision","name":"Decision","branches":[{"type":"Branch","label":"No","expression":{"type":"Applicability","mode":"script","value":"(function execute() {\n    return vaVars.is_UR_created == false;\n})()\n"},"id":"6a77934d135c469f833e3e23de0dab0e","name":"No"},{"type":"Branch","label":"Yes","expression":{"type":"Applicability","mode":"script","value":"(function execute() {\n    return vaVars.is_UR_created == true;\n})()\n"},"id":"e49922ea3dce47cb80b8e25a857861b5","name":"Yes"}],"id":"5fe038da1aee413ca6be5bfc611e7386","goal_id":"primary"},{"type":"OutputPrompt","value":{"type":"String","mode":"script","value":"(function execute() {\n    return gs.getMessage(\"Got it. I submitted your request and someone will be assigned to it soon.\");\n})()\n"},"id":"a603ca64f47b493f823f503222eae588","name":"Request created","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"},"secure":false},{"type":"ScriptOutputPrompt","output_type":"single_part","id":"3311b742552a4f7a89669f55a5bf9fa2","name":"Display Request","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"},"value":{"type":"String","mode":"string","value":"(function execute() {\n    var itsm_helper = new sn_itsm_va.ItsmVaHelper();\n    var gr = new GlideRecord(\"incident\");\n    gr.get(vaVars.inc_sysid);\n\n    var title = gr.getElement(\"universal_request\").getLabel();\n    var eff_no = gr.getValue(\"task_effective_number\");\n    var link = gs.getProperty('glide.servlet.uri') + gs.getProperty('sn_itsm_va.com.snc.itsm.virtualagent.portal_url') + '?sys_id=' + vaVars.inc_sysid + '&amp;id=ticket&amp;table=incident';\n    var table_name = gr.getClassDisplayValue();\n    var priority = gr.getDisplayValue('priority');\n    var short_description = gr.getValue('short_description');\n    var description = gr.getValue('description');\n    var state = gr.getDisplayValue('state');\n    var category = gr.getDisplayValue('category');\n    var assignment_group = gr.getDisplayValue('assignment_group');\n    var fields = [];\n    if (short_description != null &amp;&amp; short_description != '')\n        fields.push({ \"fieldLabel\": gr.getElement(\"short_description\").getLabel(), \"fieldValue\": short_description });\n    if (state != null &amp;&amp; state != '')\n        fields.push({ \"fieldLabel\": gr.getElement(\"state\").getLabel(), \"fieldValue\": state });\n    if (priority != null &amp;&amp; priority != '')\n        fields.push({ \"fieldLabel\": gr.getElement(\"priority\").getLabel(), \"fieldValue\": priority });\n    if (category != null &amp;&amp; category != '')\n        fields.push({ \"fieldLabel\": gr.getElement(\"category\").getLabel(), \"fieldValue\": category });\n    if (assignment_group != null &amp;&amp; assignment_group != '')\n        fields.push({ \"fieldLabel\": gr.getElement(\"assignment_group\").getLabel(), \"fieldValue\": assignment_group });\n    if (description != null &amp;&amp; description != '')\n        fields.push({ \"fieldLabel\": gr.getElement(\"description\").getLabel(), \"fieldValue\": description });\n\n    var data = JSON.stringify({\n        \"title\": title,\n        \"fields\": fields,\n        \"subtitle\": eff_no,\n        \"url\": link\n\n    });\n    return vaSystem.renderCard(\"Card\", data);\n\n})()\n\n"},"secure":false},{"type":"ScriptedAction","script":"(function execute() {\n    vaSystem.attachRecordToConversation(\"incident\", vaVars.inc_sysid);\n})()\n","id":"19dfe148eead4f1196f1393e7b2998a3","name":"Attach incident record to conversation","goal_id":"primary","applicability":{"type":"Applicability","mode":"script","value":"true"}}],"edges":[{"type":"Edge","source_node_id":"a603ca64f47b493f823f503222eae588","target_node_id":"3311b742552a4f7a89669f55a5bf9fa2","id":"cbdb2e7a10f04e5ca9451eb8a1e09f61"},{"type":"Edge","source_node_id":"da3cecea27084c2ea9e7b08bd2a99597","target_node_id":"d0a40b5eaeec413c95caec9d159d3109","id":"d2db43dae164434d8ef5c8d3cc848e9e"},{"type":"Edge","source_node_id":"16a262815fa548ebac2369ace2f1b75a","target_node_id":"6902e87db14b443e8e19b0bf097e0baf","id":"7e2e018ddb084492b944a751127beef2"},{"type":"Edge","source_node_id":"6902e87db14b443e8e19b0bf097e0baf","target_node_id":"788ca20c1739418d924154a4aaca0f7d","id":"4ee6145774274267ac5a7602532b8d6d"},{"type":"Edge","source_node_id":"5c6ec96d92134f8b99909397442c27c7","target_node_id":"5fe038da1aee413ca6be5bfc611e7386","id":"4f04ea5f777d4369b7bcfea73ee4e689"},{"type":"Edge","source_node_id":"5fe038da1aee413ca6be5bfc611e7386","target_node_id":"16a262815fa548ebac2369ace2f1b75a","branch_id":"6a77934d135c469f833e3e23de0dab0e","id":"72d30d8a2fe24a60ae15c6165a4341bb","name":"6a77934d135c469f833e3e23de0dab0e"},{"type":"Edge","source_node_id":"5fe038da1aee413ca6be5bfc611e7386","target_node_id":"a603ca64f47b493f823f503222eae588","branch_id":"e49922ea3dce47cb80b8e25a857861b5","id":"e8c0a02343e044e9a8558da2632ae2b1","name":"e49922ea3dce47cb80b8e25a857861b5"},{"type":"Edge","source_node_id":"3311b742552a4f7a89669f55a5bf9fa2","target_node_id":"788ca20c1739418d924154a4aaca0f7d","id":"b55b55eecc1c41e780d263477cec07f7"},{"type":"Edge","source_node_id":"d0a40b5eaeec413c95caec9d159d3109","target_node_id":"19dfe148eead4f1196f1393e7b2998a3","id":"11d38e7eac8d4c0da387e88b6c92b07e"},{"type":"Edge","source_node_id":"19dfe148eead4f1196f1393e7b2998a3","target_node_id":"5c6ec96d92134f8b99909397442c27c7","id":"f64156063b174a27bd54f9a2f1041e49"}],"id":"primary"}],"script_variables":[{"type":"String","name":"is_UR_created","value":{"type":"String","mode":"string"},"list":false,"id":"d9a9da91bd2c46e2b1fedaf8428ee951","formatType":"text","secure":false,"sensitive":false},{"type":"String","name":"inc_sysid","value":{"type":"String","mode":"string"},"list":false,"id":"6ed931dc590a43898f81500ad4f9f92a","formatType":"text","secure":false,"sensitive":false}],"glide_variables":[{"type":"String","name":"caller","list":false,"id":"dd1edd93656b44268fbaecd0e8a7b7ef","formatType":"text","metadata":{"libraryMappingType":"input"},"secure":false,"sensitive":false},{"type":"String","name":"short_description","list":false,"id":"28b6e00155e544ac9cad2a69e9781c4e","formatType":"text","metadata":{"libraryMappingType":"input"},"secure":false,"sensitive":false},{"type":"String","name":"urgency","list":false,"id":"0bfd4170f8a4475a90a4ab6158b11baa","formatType":"text","metadata":{"libraryMappingType":"input"},"secure":false,"sensitive":false},{"type":"String","name":"description","list":false,"id":"743094ca77af40d9a20ac28f106e40e2","formatType":"text","metadata":{"libraryMappingType":"input"},"secure":false,"sensitive":false},{"type":"Reference","table":"sys_user","id":"current-user","name":"user","formatType":"text","secure":false,"sensitive":false,"list":false},{"type":"String","name":"cmdb_ci","list":false,"id":"86ab8d7db70d4f98a060f9ef0bc2823f","formatType":"text","metadata":{"libraryMappingType":"input"},"secure":false,"sensitive":false}],"applicability":{"type":"Applicability","mode":"script","value":"true"},"roles":[],"scope":"134450a0b3781300787162ac16a8dc1e","library-usage":{"type":"Library","input-parameters":[{"name":"caller","label":"caller","default-value":"\"\"","required":true,"metadata":{"type":"String","list":false,"items":[],"use_items":false},"id":"dd1edd93656b44268fbaecd0e8a7b7ef","type":"String","hint":""},{"name":"short_description","label":"short_description","default-value":"\"\"","required":true,"metadata":{"type":"String","list":false,"items":[],"use_items":false},"id":"28b6e00155e544ac9cad2a69e9781c4e","type":"String","hint":""},{"name":"urgency","label":"urgency","default-value":"\"3\"","required":false,"metadata":{"type":"String","list":false,"items":[],"use_items":false},"id":"0bfd4170f8a4475a90a4ab6158b11baa","type":"String","hint":""},{"name":"description","label":"description","default-value":"\"\"","required":false,"metadata":{"type":"String","list":false,"items":[],"use_items":false},"id":"743094ca77af40d9a20ac28f106e40e2","type":"String","hint":""},{"name":"cmdb_ci","label":"cmdb_ci","default-value":"\"\"","required":false,"metadata":{"type":"String","list":false,"items":[],"use_items":false},"id":"86ab8d7db70d4f98a060f9ef0bc2823f","type":"String","hint":""}],"return-values-mapping":[{"name":"created_incident_sys_id","label":"created_incident_sys_id","value":{"type":"String","mode":"string","value":"{{vaVars.inc_sysid}}"}}]},"domain":"global","topic_type":"TOPIC_BLOCK","channels":[],"id":"bd562ebd733333003ade8889faf6a777","name":"_PRVW__6f01f8c9d65b0110f72e3074cbd055d9","key_phrases":[],"nlu_provider":"","nlu_model":"","nlu_model_label":"","nlu_intent":"","nlu_intent_label":"","flexible_conversation_switching":true,"autopilot_topic":false,"design_categories":[],"triggerable_by_notification":false,"library":true,"nluMapping":"[]"}</design_definition>
        <design_topic_id>bd562ebd733333003ade8889faf6a777</design_topic_id>
        <name>_PRVW__6f01f8c9d65b0110f72e3074cbd055d9</name>
        <sys_class_name>sys_cb_design_topic</sys_class_name>
        <sys_created_by>admin</sys_created_by>
        <sys_created_on>2022-05-04 15:15:23</sys_created_on>
        <sys_domain>global</sys_domain>
        <sys_id>2b01f8c92f5b0110f98855f62799b6de</sys_id>
        <sys_mod_count>0</sys_mod_count>
        <sys_name>FlowTopic</sys_name>
        <sys_package display_value="RailRight" source="x_811737_railright">3817bc072f430110f98855f62799b62d</sys_package>
        <sys_policy/>
        <sys_scope display_value="RailRight">3817bc072f430110f98855f62799b62d</sys_scope>
        <sys_update_name>sys_cb_design_topic_2b01f8c92f5b0110f98855f62799b6de</sys_update_name>
        <sys_updated_by>admin</sys_updated_by>
        <sys_updated_on>2022-05-04 15:15:23</sys_updated_on>
        <type>FlowTopic</type>
    </sys_cb_design_topic>
</record_update>
